unit FicEssai;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ColorStringGrid, ExtCtrls, StdCtrls, Menus;

type
  TFicheEssai = class(TForm)
    LCarac: TColorStringGrid;
    PanelLeg: TPanel;
    CaseCoul1: TCaseCoul;
    Label1: TLabel;
    CaseCoul2: TCaseCoul;
    Label2: TLabel;
    MainMenu1: TMainMenu;
    Fermer1: TMenuItem;
    Afficher: TMenuItem;
    CaseCoul3: TCaseCoul;
    Label3: TLabel;
    CaseCoul4: TCaseCoul;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Fermer1Click(Sender: TObject);
    procedure AfficherClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    Suggestions:Boolean;
    procedure AjusteTableau;
  end;

var
  FicheEssai: TFicheEssai;

implementation
uses math;
{$R *.dfm}

procedure TFicheEssai.FormCreate(Sender: TObject);
begin
  Suggestions:=True;
  LCarac.Cells[0,0]:='Caractres (dans l''ordre choisi)';
  LCarac.Cells[1,0]:='Nombre de taxons';
  CaseCoul2.CouleurFond:=$00C0FF;
end;
procedure TFicheEssai.AjusteTableau;
Var
  n:integer;
begin
  if Suggestions then
    begin
      LCarac.ColCount:=3;
      LCarac.Cells[2,0]:='Suggestion';
    end
  else LCarac.ColCount:=2;
  n:=LCarac.ajusteColonnes;
  if LCarac.GridHeight<(ClientHeight-PanelLeg.Height-20) then
    ClientWidth:=max(278,n)
  else ClientWidth:=max(278,n)+22;
end;

procedure TFicheEssai.Fermer1Click(Sender: TObject);
begin
  Close;
end;

procedure TFicheEssai.AfficherClick(Sender: TObject);
begin
  if afficher.Tag=0 then afficher.Caption:='Aficher le code'
  else afficher.Caption:='Masquer le code';
  PanelLeg.Visible:=(afficher.Tag=1);
  afficher.Tag:=1-Afficher.Tag;
end;

end.
